Skip to main content
GET
List matching agent ids

Headers

x-anyreach-org
string | null

Organization ID for user PATs (pat_ prefix tokens)

Query Parameters

offset
integer
default:0
limit
integer
default:1000

1-1000.

search
string | null

Matches the name, the company name, or phone number digits.

name
string | null

Cursor or ids mode: name contains this. Otherwise an alias of search, used when search is absent.

sort
string | null

One of name, created_at, updated_at, created_by, modified_by, total_conversations, last_activity, deployed or label:. Defaults to created_at.

dir
string | null

asc or desc. Defaults to desc.

labels
string | null

JSON object mapping a label key to a value, a list of values (any of them) or null (not set), e.g. {"industry": ["Telecom"]}.

deployed
boolean | null
channels
string | null

Comma-separated subset of voice, chat, demo. Matches agents with all of them.

created_by
string | null
modified_by
string | null
created_after
string<date-time> | null
created_before
string<date-time> | null
updated_after
string<date-time> | null
updated_before
string<date-time> | null
last_activity_after
string<date-time> | null
last_activity_before
string<date-time> | null
active
boolean | null
is_demo
boolean | null
metadata
string | null

JSON object the agent's metadata must contain.

Response

Successful Response

ids
string[]
required
total
integer
required